WebUtils.WDGValidator | index /usr/local/share/webware/WebUtils/WDGValidator.py

Modules

``

os | string |  |

Functions

``

StringIO(...)
  `StringIO([s]) -- Return a StringIO-like stream for reading or writing`

encodeWithIndentation(html)

validateHTML(html)
  `Validate the input using Web Design Group's HTML validator
  available at http://www.htmlhelp.com/tools/validator/
  Make sure you install the offline validator (called
  "validate") which can be called from the command-line. The
  "validate" script must be in your path.
  If no errors are found, an empty string is returned.
  Otherwise, the HTML with the error messages is returned.`